summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-08-04 07:34:02 +0200
committerHans de Graaff <graaff@gentoo.org>2018-08-04 07:34:02 +0200
commitb67c677f85fd2f7c72261fe6633cc302bded4ea6 (patch)
tree1f8cd9c5c075edd7de23831f5292458d0cc5c114 /dev-ruby/cri
parentdev-libs/nsync: new ebuild by me v1.20.1 (diff)
downloadgentoo-b67c677f85fd2f7c72261fe6633cc302bded4ea6.tar.gz
gentoo-b67c677f85fd2f7c72261fe6633cc302bded4ea6.tar.bz2
gentoo-b67c677f85fd2f7c72261fe6633cc302bded4ea6.zip
dev-ruby/cri: add 2.11.0
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-ruby/cri')
-rw-r--r--dev-ruby/cri/Manifest1
-rw-r--r--dev-ruby/cri/cri-2.11.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/cri/Manifest b/dev-ruby/cri/Manifest
index 9cadb325c95..242882cb56a 100644
--- a/dev-ruby/cri/Manifest
+++ b/dev-ruby/cri/Manifest
@@ -1,2 +1,3 @@
DIST cri-2.10.1.gem 28672 BLAKE2B fe6f78ec193298605995e00242a4f615159192b66900c111fa58252aea63c3a5515a0e7a9d7c5a1a0878a2e9c70a77023ee60be4d7b6c780d5f2d1300641e109 SHA512 f71cdd00613b226f916c9f45f9e8ce3a7c0c68bdb547de6df8b9457c018627c18ce978a13c971e0ef2cd24ec985f815df0389d0ddabd463eef93d5e2147e6101
+DIST cri-2.11.0.gem 29184 BLAKE2B cd6df24e9c50be519e8d8cba06c7f747dab98c758a70de1f3ff7c3570a3f62b1b7d7769347d0922cc39d9588dd1d061a71b02c0de47a4182184eec8072720ae8 SHA512 ceb87803fc90a394effd3ba445ccb44a2bfc3700e44910766144074ef82b019cd5ddaffad93ce7e7b3446f94735736a4e53f5916924a33460b96afd7aea427b7
DIST cri-2.7.1.gem 25088 BLAKE2B 20317d886401d6d5f034c27396cad2fdaf322246c319ef3cadc3e38169dbc00c83771fdb2d564efd0ca386b916a0bc2d8cf283742ccd18ca390e491a84f5e31f SHA512 37d641390dc83550c254b3c48018f7f2c53f73161807c299cb78ef84b8625e5f00cd8c877ac464ece5c6623d7118872c45648ed56c2bd5f53ae62cd66b8e24d1
diff --git a/dev-ruby/cri/cri-2.11.0.ebuild b/dev-ruby/cri/cri-2.11.0.ebuild
new file mode 100644
index 00000000000..30952c0fb57
--- /dev/null
+++ b/dev-ruby/cri/cri-2.11.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Cri is a library for building easy-to-use commandline tools"
+HOMEPAGE="https://rubygems.org/gems/cri"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/colored-1.2"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ test? ( dev-ruby/yard dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -e '/coveralls/I s:^:#:' -i test/helper.rb || die
+ sed -i -e '/rubocop/ s:^:#:' \
+ -e '/RuboCop/,/end/ s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S rake test_unit || die
+}